
package com.icesoft.support;

import java.io.Serializable;
import java.util.ArrayList;
import javax.faces.application.FacesMessage;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;
import javax.faces.component.UIViewRoot;
import javax.faces.component.html.HtmlInputText;
import javax.faces.context.FacesContext;
import javax.faces.event.AjaxBehaviorEvent;
import org.icefaces.ace.event.RowEditEvent;

@ManagedBean
@SessionScoped
public class TestBean implements Serializable {
    
    private ArrayList itemList;
    
    public TestBean(){
        itemList = new ArrayList();
        itemList.add(new Item("1", "2", 1));
        itemList.add(new Item("A", "B", 2));
        itemList.add(new Item("4", "5", 3));
    }

    public ArrayList getItemList() {
        return itemList;
    }

    public void setItemList(ArrayList itemList) {
        this.itemList = itemList;
    }
    
    public void rowEdited(RowEditEvent event){
        System.out.println("Row Edited");
//        FacesMessage msg = new FacesMessage("Test Message");
//        FacesContext.getCurrentInstance().addMessage("", msg);
//        FacesContext.getCurrentInstance().validationFailed();
        FacesContext context = FacesContext.getCurrentInstance();
	UIViewRoot view = context.getViewRoot();
	HtmlInputText input = (HtmlInputText)view.findComponent("iceForm:testTable:colThreeInput");
	if(input != null){
            System.out.println("Invalidate Input");
            input.setValid(false);
            input.setValidatorMessage("Test Message");
        }
        FacesMessage msg = new FacesMessage("Test Message");
        context.addMessage("", msg);
        context.validationFailed();
        
    }
    
    public void onEditSubmit(AjaxBehaviorEvent event){
        System.out.println("On Edit Submit Called");
//        FacesMessage msg = new FacesMessage("Test Message 2");
//        FacesContext.getCurrentInstance().addMessage("", msg);
//        FacesContext.getCurrentInstance().validationFailed();
    }
}
